Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056382 - [RFE][nova]: KVM host maintenance support
Summary: [RFE][nova]: KVM host maintenance support
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact: Ami Jeain
URL: https://blueprints.launchpad.net/nova...
Whiteboard: upstream_milestone_none upstream_stat...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-22 05:04 UTC by RHOS Integration
Modified: 2015-03-19 17:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 17:44:11 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description RHOS Integration 2014-01-22 05:04:29 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/nova/+spec/kvm-host-maintenance-support.

Description:

similar blueprient was already registerd by Oshrit Feder on 2013-01-23.
Here.
https://blueprints.launchpad.net/nova/+spec/host-maintenance
Sadly, it is not on going althrough the system administrator needs "host maintenance mode with kvm"

Now, On ice-house term, I think the concept of the blueprint should be changed.

I suggest Host class should be in libvirt driver and It implements set_host_enabled() and host_maintenance_mode() like xenapi and vmware cases.
set_host_enabled() method should control nova-compute service and nova-network (if it works in multi dhcp mode).
host_maintenance_mode() method should evacuates vms to other hosts with live-migration (or other way)

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.